function [A] = gen_A_mat_uniform(n,seed)
%
% A simple routine to generates a matrix with a uniform eigenvalue distribution 
%
% Written by:
% -- 
% John L. Weatherwax                2007-04-02
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

if( nargin==2 )
  rand('seed',seed);
end

Lambda = diag(1 + rand(n,1)); % all eigenvalues are clustered between [1,2] "around 1.5" 
X      = rand(n,n); % generate a random matrix 
[S,R]  = qr(X); % get an orthogonal matrix "S" from X 

% generate A with the specified eigenvalue distribution 
% ( a similiarity transformation of the matrix Lambda ) : 
A = S * Lambda * (S');





